View Issue Details

IDProjectCategoryView StatusLast Update
0005713mantisbtcustom fieldspublic2017-10-08 23:52
ReporterpolzinAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versiongit trunk 
Target Version2.7.0Fixed in Version2.7.0 
Summary0005713: Custom fields of subprojects are shown in filter for "All projects" but not in parent project.
Description

Project A

Project B with custom field BC, subproject of A

In the "view_all_bug" page, BC is shown if we "switch" to project B or to "All Projects", but not in A. This is inconsistent.

TagsNo tags attached.

Relationships

has duplicate 0007407 closedcproensa Custom Fields of subprojects don't appears in filters 
child of 0023443 closedcproensa Fixes related to custom fields on filters, columns and visibility 

Activities

atrol

atrol

2012-08-08 15:40

developer   ~0032517

Unassigned after years of inactivity

Related Changesets

MantisBT: master b139b96d

2017-08-15 18:21:42

cproensa


Committer: dregad Details Diff
Include custom fields from all included projects

When retrieving custom fields to show in the filter form, evaluate all
projects included in the filter scope.
Previously, evaluation of subprojects only happened when filtering from
ALL_PROJECTS.

Additionally, check access level for the defined view threshold, to only
show those custom fields that are viewable by the user

Fixes: 0005713, 0023232
mod - core/filter_form_api.php Diff File

Issue History

Date Modified Username Field Change
2005-06-06 07:53 polzin New Issue
2005-06-10 19:41 jlatour Assigned To => jlatour
2012-08-08 15:40 atrol Assigned To jlatour =>
2012-08-08 15:40 atrol Note Added: 0032517
2017-08-15 11:36 cproensa Relationship added has duplicate 0007407
2017-08-16 13:16 cproensa Assigned To => cproensa
2017-08-16 13:16 cproensa Status new => assigned
2017-10-07 12:45 dregad Changeset attached => MantisBT master b139b96d
2017-10-07 12:45 cproensa Status assigned => resolved
2017-10-07 12:45 cproensa Resolution open => fixed
2017-10-07 12:45 cproensa Fixed in Version => 2.7.0
2017-10-07 13:34 atrol Target Version => 2.7.0
2017-10-08 11:26 cproensa Summary Curstom fields of subprojects are shown in filter for "All projects" but not in parent project. => Custom fields of subprojects are shown in filter for "All projects" but not in parent project.
2017-10-08 11:49 cproensa Relationship added child of 0023443
2017-10-08 23:52 vboctor Status resolved => closed